Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156331 - need all 32-bit development libraries on AMD64
Summary: need all 32-bit development libraries on AMD64
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-04-28 23:21 UTC by Konstantin Olchanski
Modified: 2014-03-17 02:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-10 20:36:34 UTC


Attachments (Terms of Use)

Description Konstantin Olchanski 2005-04-28 23:21:28 UTC
+++ This bug was initially created as a clone of Bug #154281 +++

We use an AMD64 machine running 64-bit Fedora 3 to build 32-bit-compatible
executables and we are missing the 32-bit /usr/lib/libreadline.a and .so.

That was the original bug. It is now obvious to us that the 32-bit development
environment in 64-bit FC3 is very incomplete: many 32-bit .so and .a libraries
are missing. This deficiency has to be addressed.

In the old UNIX/RISC world, 64-bit OSes come with the full 32-bit compatible
development environements (i.e. SGI/IRIX on MIPS CPUs, SUN Solaris on SPARCs).

In the new Linux/PC world, all new CPUs are 64-bit (AMD Opterons, Intel EM64T).

On this 64-bit hardware, developers of 32-bit compatible software run 64-bit
Linux to break the 4 GByte memory barrier and they run 64-bit development tools
(compilers, debuggers) for best performance. But to make it all possible, the
64-bit Linux has to provide the full 32-bit development environment.

The existing workarounds are not good enough: "just install the i386 -devel
rpms" does not always work (rpm conflicts); "just copy the 32-bit libraries from
a 32-bit machine" works, but is labour consuming, error prone and defeats rpm.
Suggestions to "run 32-bit Linux to develop 32-bit apps" are hard to take seriously.

Please provide the full 32-bit development environment as an (optional) part of
x86_64 Fedora Core *and* RH Enterprise Linux. It should be possible to develop
32-bit compatible application on either the 32-bit or 64-bit Linux.

K.O.

Comment 1 Bill Nottingham 2005-04-29 02:22:51 UTC
Not going to happen for FC3, obviously.

Because many development libraries and headers aren't wordsize clean, this is
not a simple fix.

Comment 2 Matthew Miller 2006-07-10 20:28:51 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 Bill Nottingham 2006-07-10 20:36:34 UTC
This will be fixed for FC6.


Note You need to log in before you can comment on or make changes to this bug.